
%if "%{?fedora}" > "2"
%define _with_ffmpeg --with-ffmpeg
# drop hacks when fixed:  http://bugzilla.livna.org/show_bug.cgi?id=747
#BuildRequires: gsm-devel lame-devel libogg-devel libvorbis-devel libtheora-devel faac-devel faad2-devel xvidcore-devel zlib-devel
%endif

Summary: Extra decoder plugins for akode 
Name:	 akode-extras
Version: 2.0.1
Release: 1%{?dist}
License: GPL%{?_with_ffmpeg:/LGPL (see description)}
Group: 	 System Environment/Libraries
#URL:	 http://carewolf.com/akode/  
URL:     http://www.kde-apps.org/content/show.php?content=30375
Source0: http://www.kde-apps.org/content/files/30375-akode-2.0.1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://bugs.kde.org/131987
Patch1: akode-2.0.1-131987.patch

BuildRequires: automake
BuildRequires: libmad-devel
%{?_with_ffmpeg:BuildRequires: ffmpeg-devel >= 0.4.9 }
# Be mindful of these, since kdemultimedia-extras-nonfree needs to be rebuilt when/if anything
# is added/removed -- Rex
Provides: %{name}-mpeg_decoder = %{version}-%{release}
%{?_with_ffmpeg:Provides: %{name}-ffmpeg_decoder = %{version}-%{release} }

Requires: akode = %{version}

# Since we're deploying for FC-4 too, be careful.
Conflicts: kdemultimedia < 6:3.5.0


%description
%{summary}, including:
* mpeg: Uses libMAD to decoder all MPEG 1/2 layer I-III audio.
  GPL licensed.
%{?_with_ffmpeg:* ffmpeg: Experimental decoder using the FFMPEG decoding library.}
%{?_with_ffmpeg:  Enables WMA and RealAudio playback.  LGPL licensed}


%prep
%setup -q -n akode-%{version}%{?beta}

%if "%{?fedora}" > "4"
%patch1 -p1 -b .131987
%endif

[ ! -f configure ] && make -f Makefile.cvs


%build
%configure \
  --disable-static \
  --disable-debug --disable-warnings --disable-dependency-tracking \
  --without-libltdl \
  --with-libmad \
  %{?_with_ffmpeg} %{!?_with_ffmpeg:--without-ffmpeg} \

make %{?_smp_mflags}


%check
# Paranoia check, make sure plugins did build correctly
make -C akode/plugins/mpeg_decoder
%{?_with_ffmpeg:make -C akode/plugins/ffmpeg_decoder }


%install
rm -rf $RPM_BUILD_ROOT

make -C akode/plugins/mpeg_decoder   install DESTDIR=$RPM_BUILD_ROOT
%{?_with_ffmpeg:make -C akode/plugins/ffmpeg_decoder install DESTDIR=$RPM_BUILD_ROOT}

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%{_libdir}/libakode_mpeg_decoder.*
%{?_with_ffmpeg:%{_libdir}/libakode_ffmpeg_decoder.*}


%changelog
* Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0.1-1
- 2.0.1

* Mon Apr 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-5
- Conflicts: kdemultimedia < 6:3.5.0 (for FC-4, mostly)
- Provides: akode-mpeg_decoder, akode-ffmpeg_decoder

* Sat Apr 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-4


* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Thu Jan 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.lvn.3
- disable ffmpeg, pending pkgconfig fix (bug #747)

* Tue Jan 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.lvn.2
- x86_64: drop --with-ffmpeg, for now, until lib detection is fixed
- add %%check section

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.lvn.1
- 2.0(final)

* Wed Nov 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.lvn.0.4.rc1
- 2.0rc1 

* Wed Nov 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.lvn.0.3.svn20051123
- svn20051123 snapshot

* Wed Nov 23 2005 Rex Dieter <rexdieter[AT]users.sf.net. 2.0-0.lvn.0.2.b3
- --without-libltdl

* Tue Nov 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.lvn.0.1.b3
- akode-2.0b3

